Mandrake Linux Security Advisory : util-linux (MDKSA-2003:016)

Medium Nessus Plugin ID 14001


The remote Mandrake Linux host is missing one or more security updates.


The util-linux package provides the mcookie utility, a tool for generating random cookies that can be used for X authentication. The util-linux packages that were distributed with Mandrake Linux 8.2 and 9.0 had a patch that made it use /dev/urandom instead of /dev/random, which resulted in the mcookie being more predictable than it would otherwise be. This patch has been removed in these updates, giving mcookie a better source of entropy and making the generated cookies less predictable. Thanks to Dirk Mueller for pointing this out.


Update the affected losetup, mount and / or util-linux packages.

Plugin Details

Severity: Medium

ID: 14001

File Name: mandrake_MDKSA-2003-016.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:losetup, p-cpe:/a:mandriva:linux:mount, p-cpe:/a:mandriva:linux:util-linux, cpe:/o:mandrakesoft:mandrake_linux:8.2, cpe:/o:mandrakesoft:mandrake_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2003/02/13

Reference Information

CVE: CVE-2003-0094

MDKSA: 2003:016